package com.kingdee.eas.custom.esign;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ESignGlobalStatusOverviewFactory
{
    private ESignGlobalStatusOverviewFactory()
    {
    }
    public static com.kingdee.eas.custom.esign.IESignGlobalStatusOverview getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IESignGlobalStatusOverview)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("BD58B6FF") ,com.kingdee.eas.custom.esign.IESignGlobalStatusOverview.class);
    }
    
    public static com.kingdee.eas.custom.esign.IESignGlobalStatusOverview getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IESignGlobalStatusOverview)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("BD58B6FF") ,com.kingdee.eas.custom.esign.IESignGlobalStatusOverview.class, objectCtx);
    }
    public static com.kingdee.eas.custom.esign.IESignGlobalStatusOverview getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IESignGlobalStatusOverview)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("BD58B6FF"));
    }
    public static com.kingdee.eas.custom.esign.IESignGlobalStatusOverview getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IESignGlobalStatusOverview)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("BD58B6FF"));
    }
}